//  Copyright (C) January 3, 1994 by Carey L. Gilbert
//				     624 Van Caster Drive
//				     Green Bay, WI 54311-7131
//				     414-391-0424
//
//  This software is the sole property of Carey L. Gilbert and can
//  not be redistributed by any person or company without the
//  written permission of Carey L. Gilbert. This software can only
//  be used in accordance with the license agreement granted by
//  Carey L. Gilbert to an individual or company.
//
//  Carey L. Gilbert makes NO WARRANTY of any kind, either express
//  or implied, including but not limited to implied warranties of
//  merchantability and fitness for a particular purpose, with
//  respect to this software or its accompanying documentation.
//
//  In no event shall Carey L. Gilbert be liable for any damages
//  (including damages for loss of business profits, business
//  interruption, loss of business information, or other pecuniary
//  loss) arising out of the use of or inability to use this
//  software, even if Carey L. Gilbert has been advised of the
//  possibility of such damages.
//  ------------------------------------------------------------
//  The variables in this DCL file are used by protected LISP file WELD.lsp.
//  This files contents should NOT be altered or WELD.lsp may not function.
//  ------------------------------------------------------------

dcl_settings : default_dcl_settings { audit_level = 0; }

wld: dialog {
   label = "";
   key = "wld_title";
   initial_focus = "place_weld";
   : column {
       : row {
	   : column {
	       : row {
		   : icon_image {
		       key = "t1";
		       width = 4.5;
		       aspect_ratio = 0.724;
		       color = 0;
		   }
		   : icon_image {
		       key = "t2";
		       width = 4.5;
		       aspect_ratio = 0.724;
		       color = 0;
		   }
		   : icon_image {
		       key = "t3";
		       width = 4.5;
		       aspect_ratio = 0.724;
		       color = 0;
		   }
		   : icon_image {
		       key = "t4";
		       width = 4.5;
		       aspect_ratio = 0.724;
		       color = 0;
		   }
		   : icon_image {
		       key = "t5";
		       width = 4.5;
		       aspect_ratio = 0.724;
		       color = 0;
		   }
		   : icon_image {
		       key = "t6";
		       width = 4.5;
		       aspect_ratio = 0.724;
		       color = 0;
		   }
	       }
	       : row {
		   : icon_image {
		       key = "t7";
		       width = 4.5;
		       aspect_ratio = 0.724;
		       color = 0;
		   }
		   : icon_image {
		       key = "t8";
		       width = 4.5;
		       aspect_ratio = 0.724;
		       color = 0;
		   }
		   : icon_image {
		       key = "t9";
		       width = 4.5;
		       aspect_ratio = 0.724;
		       color = 0;
		   }
		   : icon_image {
		       key = "t10";
		       width = 4.5;
		       aspect_ratio = 0.724;
		       color = 0;
		   }
		   : icon_image {
		       key = "t11";
		       width = 4.5;
		       aspect_ratio = 0.724;
		       color = 0;
		   }
		   : icon_image {
		       key = "t0";
		       width = 4.5;
		       aspect_ratio = 0.724;
		       color = 0;
		   }
	       }
	   }
	   : column {
	       : button {
		   label = "Place";
		   mnemonic = "P";
		   key = "place_weld";
	       }
	       : text {
		   label = "<SYMBOL OPTIONS";
	       }
	       : spacer { height = 0; }
	   }
       }
       : row {
	   : column {
	      : icon_image {
		  key	      = "weld_flag";
		  width = 10;
		  aspect_ratio = 0.724;
		  color = 0;
	      }
	      : icon_image {
		  key	      = "al_round";
		  width = 10;
		  aspect_ratio = 0.724;
		  color = 0;
	      }
	      : icon_image {
		  key	      = "leader_type";
		  width = 10;
		  aspect_ratio = 0.724;
		  color = 0;
	      }
	   }
	   : column {
	       : row {
		   : column {
		       : text {
			   label = "CONTOUR>";
		       }
		       : spacer { height = 1.5; }
		       : text {
			   label = "SIZE";
		       }
		       : edit_box {
			   label = "";
			   key = "top_size";
			   value = "";
			   width = 8;
			   fixed_width = true;
		       }
		   }
		   : column {
		       : icon_image {
			   key = "tcontour";
			   width = 10;
			   aspect_ratio = 0.25;
			   color = 0;
		       }
		       : icon_image {
			   key	       = "top_sym";
			   width = 10;
			   aspect_ratio = 0.724;
			   color = 0;
		       }
		   }
		   : column {
		       : spacer { height = 1.5; }
		       : text {
			   label = "LENGTH";
		       }
		       : text {
			   label = "& PITCH";
		       }
		       : edit_box {
			   label = "";
			   key = "top_sppth";
			   value = "";
			   width = 8;
			   fixed_width = true;
		       }
		   }
	       }
	       : row {
		   : icon_image {
		       key	   = "r_line";
		       width = 29;
		       height = 0.14;
		       color = 1;
		   }
	       }
	       : row {
		   : column {
		       : edit_box {
			   label = "";
			   key = "bot_size";
			   value = "";
			   width = 8;
			   fixed_width = true;
		       }
		       : text {
			   label = "SIZE";
		       }
		       : spacer { height = 1.5; }
		       : text {
			   label = "CONTOUR>";
		       }
		   }
		   : column {
		       : icon_image {
			   key	       = "bot_sym";
			   width = 10;
			   aspect_ratio = 0.724;
			   color = 0;
		       }
		       : icon_image {
			   key = "bcontour";
			   width = 10;
			   aspect_ratio = 0.25;
			   color = 0;
		       }
		   }
		   : column {
		       : edit_box {
			   label = "";
			   key = "bot_sppth";
			   value = "";
			   width = 8;
			   fixed_width = true;
		       }
		       : text {
			   label = "LENGTH";
		       }
		       : text {
			   label = "& PITCH";
		       }
		       : spacer { height = 1.5; }
		   }
	       }
	   }
	   : column {
	      : column {
		   : spacer { height = 0.01; }
		   : text {
		       label = "Dragging";
		       alignment = centered;
		   }
		   : text {
		       label = "- Delay +";
		       alignment = centered;
		   }
		   : slider {
		       key = "delay_slider";
		       min_value = 0;
		       max_value = 2000;
		   }
	       }
	       : icon_image {
		   key	       = "weld_note";
		   width = 10;
		   aspect_ratio = 0.724;
		   color = 0;
	       }
	       : button {
		   label = "NOTE";
		   mnemonic = "N";
		   key = "enter_note";
	       }
	       : button {
		   label = "CONFIGURE";
		   mnemonic = "C";
		   key = "wld_cfg";
	       }
	   }
       }
       : row {
	   : column {
	       : row {
		   : icon_image {
		       key = "b1";
		       width = 4.5;
		       aspect_ratio = 0.724;
		       color = 0;
		   }
		   : icon_image {
		       key = "b2";
		       width = 4.5;
		       aspect_ratio = 0.724;
		       color = 0;
		   }
		   : icon_image {
		       key = "b3";
		       width = 4.5;
		       aspect_ratio = 0.724;
		       color = 0;
		   }
		   : icon_image {
		       key = "b4";
		       width = 4.5;
		       aspect_ratio = 0.724;
		       color = 0;
		   }
		   : icon_image {
		       key = "b5";
		       width = 4.5;
		       aspect_ratio = 0.724;
		       color = 0;
		   }
		   : icon_image {
		       key = "b6";
		       width = 4.5;
		       aspect_ratio = 0.724;
		       color = 0;
		   }
	       }
	       : row {
		   : icon_image {
		       key = "b7";
		       width = 4.5;
		       aspect_ratio = 0.724;
		       color = 0;
		   }
		   : icon_image {
		       key = "b8";
		       width = 4.5;
		       aspect_ratio = 0.724;
		       color = 0;
		   }
		   : icon_image {
		       key = "b9";
		       width = 4.5;
		       aspect_ratio = 0.724;
		       color = 0;
		   }
		   : icon_image {
		       key = "b10";
		       width = 4.5;
		       aspect_ratio = 0.724;
		       color = 0;
		   }
		   : icon_image {
		       key = "b11";
		       width = 4.5;
		       aspect_ratio = 0.724;
		       color = 0;
		   }
		   : icon_image {
		       key = "b0";
		       width = 4.5;
		       aspect_ratio = 0.724;
		       color = 0;
		   }
	       }
	   }
	   : column {
	       : spacer { height = 0; }
	       : text {
		   label = "<SYMBOL OPTIONS";
	       }
	       : button {
		   label = "Quit";
		   mnemonic = "Q";
		   key = "quit_weld";
		   is_cancel = true;
	       }
	   }
       }
   }
}
wldnote: dialog {
   label = "WELD NOTE";
    : column {
	: row {
	    : text {
		label = "LINE #1";
	    }
	    : edit_box {
		label = "";
		key = "ntxlin_1";
		value = "";
		width = 36;
		fixed_width = true;
	    }
	}
	: row {
	    : text {
		label = "LINE #2";
	    }
	    : edit_box {
		label = "";
		key = "ntxlin_2";
		value = "";
		width = 36;
		fixed_width = true;
	    }
	}
	: row {
	    : text {
		label = "LINE #3";
	    }
	    : edit_box {
		label = "";
		key = "ntxlin_3";
		value = "";
		width = 36;
		fixed_width = true;
	    }
	}
	: row {
	    : text {
		label = "LINE #4";
	    }
	    : edit_box {
		label = "";
		key = "ntxlin_4";
		value = "";
		width = 36;
		fixed_width = true;
	    }
	}
	: row {
	    : text {
		label = "LINE #5";
	    }
	    : edit_box {
		label = "";
		key = "ntxlin_5";
		value = "";
		width = 36;
		fixed_width = true;
	    }
	}
	: row {
	    : text {
		label = "LINE #6";
	    }
	    : edit_box {
		label = "";
		key = "ntxlin_6";
		value = "";
		width = 36;
		fixed_width = true;
	    }
	}
	: row {
	    : text {
		label = "LINE #7";
	    }
	    : edit_box {
		label = "";
		key = "ntxlin_7";
		value = "";
		width = 36;
		fixed_width = true;
	    }
	}
	: row {
	    : text {
		label = "LINE #8";
	    }
	    : edit_box {
		label = "";
		key = "ntxlin_8";
		value = "";
		width = 36;
		fixed_width = true;
	    }
	}
	: row {
	    : text {
		label = "LINE #9";
	    }
	    : edit_box {
		label = "";
		key = "ntxlin_9";
		value = "";
		width = 36;
		fixed_width = true;
	    }
	}
	: row {
	    : text {
		label = "LINE #10";
	    }
	    : edit_box {
		label = "";
		key = "ntxlin_10";
		value = "";
		width = 36;
		fixed_width = true;
	    }
	}
	: row {
	    : button {
		label = "SAVE ALL";
		mnemonic = "S";
		key = "save_all";
	    }
	    : button {
		label = "CLEAR ALL";
		mnemonic = "C";
		key = "clear_all";
	    }
	    : button {
		label = "QUIT";
		mnemonic = "Q";
		key = "quit_note";
		is_cancel = true;
	    }
	}
    }
}
wldcfg: dialog {
   label = "WELD DIMENSION VARIABLES";
   : column {
       : row {
	  : icon_image {
	      key	  = "cfg1";
	      width = 15;
	      aspect_ratio = 0.724;
	      color = 0;
	  }
	  : icon_image {
	      key	  = "cfg2";
	      width = 15;
	      aspect_ratio = 0.724;
	      color = 0;
	  }
	  : icon_image {
	      key	  = "cfg3";
	      width = 15;
	      aspect_ratio = 0.724;
	      color = 0;
	  }
       }
       : row {
	      : icon_image {
		  key	      = "cfg4";
		  width = 15;
		  aspect_ratio = 0.724;
		  color = 0;
	      }
	      : icon_image {
		  key	      = "cfg5";
		  width = 15;
		  aspect_ratio = 0.724;
		  color = 0;
	      }
	      : icon_image {
		  key	      = "cfg6";
		  width = 15;
		  aspect_ratio = 0.724;
		  color = 0;
	      }
	  }
       : row {
	   : icon_image {
	       key	   = "cfg7";
	       width = 15;
	       aspect_ratio = 0.724;
	       color = 0;
	   }
	   : column {
	       : text {
		   label = " ALL WELD DIMENSION VARIABLES ";
		   width = 30;
		   fixed_width = true;
		   is_bold = true;
	       }
	       : text {
		   label = " AUTOMATICALLY ADJUSTED BY    ";
		   width = 30;
		   fixed_width = true;
		   is_bold = true;
	       }
	       : text {
		   label = " DRAWING DIMSCALE SETTING.    ";
		   width = 30;
		   fixed_width = true;
		   is_bold = true;
	       }
	       : spacer { height = 0; }
	       : row {
		   : button {
		       label = "SAVE DEFAULTS";
		       mnemonic = "S";
		       key = "save_dfts";
		   }
		   : button {
		       label = "QUIT";
		       mnemonic = "Q";
		       key = "quit_cfg";
		       is_cancel = true;
		   }
	       }
	   }
       }
   }
}
dimcfg: dialog {
   label = "";
   key = "dim_title";
   : column {
       : row {
	   : column {
	       : spacer { height = 0; }
	       : row {
		   : column {
		       : text {
			   label = "";
			   key = "dtxt_a1";
			   width = 10;
			   fixed_width = true;
			   is_bold = true;
		       }
		       : text {
			   label = "";
			   key = "dtxt_a2";
			   width = 10;
			   fixed_width = true;
			   is_bold = true;
		       }
		   }
		   : column {
		       : spacer { height = 0; }
		       : edit_box {
			   label = "";
			   key = "dimvar_a";
			   value = "";
			   edit_width = 10;
		       }
		   }
	       }
	       : spacer { height = 1; }
	       : row {
		   : column {
		       : text {
			   label = "";
			   key = "dtxt_b1";
			   width = 10;
			   fixed_width = true;
			   is_bold = true;
		       }
		       : text {
			   label = "";
			   key = "dtxt_b2";
			   width = 10;
			   fixed_width = true;
			   is_bold = true;
		       }
		   }
		   : column {
		       : spacer { height = 0; }
		       : edit_box {
			   label = "";
			   key = "dimvar_b";
			   value = "";
			   edit_width = 10;
		       }
		   }
	       }
	       : spacer { height = 1; }
	       : row {
		   : column {
		       : text {
			   label = "";
			   key = "dtxt_c1";
			   width = 10;
			   fixed_width = true;
			   is_bold = true;
		       }
		       : text {
			   label = "";
			   key = "dtxt_c2";
			   width = 10;
			   fixed_width = true;
			   is_bold = true;
		       }
		   }
		   : column {
		       : spacer { height = 0; }
		       : edit_box {
			   label = "";
			   key = "dimvar_c";
			   value = "";
			   edit_width = 10;
		       }
		   }
	       }
	       : spacer { height = 0; }
	   }
	   : spacer { width = 0; }
	   : column {
	      : icon_image {
		  key	      = "dim_pic";
		  width = 30;
		  aspect_ratio = 0.724;
		  color = 0;
	      }
	   }
       }
       : row {
	   : button {
	       label = "COLOR>";
	       mnemonic = "C";
	       key = "dim_color";
	       width = 10;
	       fixed_width = true;
	   }
	   : image_button {
	       key = "pck_color";
	       height = 1.5;
	       aspect_ratio = 1.0;
	   }
	   : text {
	       label = "";
	       key = "clr_txt";
	       width = 7;
	       fixed_width = true;
	       is_bold = true;
	   }
	   : spacer { width = 2; }
	   : button {
	       label = "SAVE";
	       mnemonic = "S";
	       key = "dim_save";
	       width = 13;
	       fixed_width = true;
	   }
	   : button {
	       label = "QUIT";
	       mnemonic = "Q";
	       key = "dim_quit";
	       width = 13;
	       fixed_width = true;
	       is_cancel = true;
	   }
	   : spacer { width = 1; }
       }
   }
}
